#
# spec file for package lsscsi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lsscsi
Version:        0.28
Release:        lp151.2.3
Summary:        List all SCSI devices in the system
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://sg.danny.cz/scsi/lsscsi.html
Source:         http://sg.danny.cz/scsi/%{name}-%{version}.tar.xz
BuildRequires:  xz
Provides:       scsi:%{_bindir}/lsscsi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The lsscsi command lists information about SCSI devices in Linux.

%prep
%setup -q

%build
%configure

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%{_bindir}/lsscsi
%doc %{_mandir}/man8/lsscsi.8.gz
%doc README ChangeLog

%changelog
* Tue Feb 24 2015 mpluskal@suse.com
- Update to 0.28
  * fix handling of scsi_level 0 (no compliance)
  * add SRP transport identifier
  * add --unit option for LU identifier (>= lk 3.15)
  * add (S)ATA transport identifier (>= lk 3.15)
  * make USB transport ids more consistent
  * fix FC transport id missing comma
  * add pdt strings for security manager and zbc
  * upgrade automake to version 1.14.1
- Do not install empty NEWS
* Thu Jun 13 2013 jengelh@inai.de
- Update to new upstream release 0.24
  * FC transport syntax changes (colon to slash)
- Update to new upstream release 0.25
  * add sas_port and fc_remote_ports transport information
  * print enclosure_device entry
  * add a "--size" option to show size of disks
  * add a "--protmode" option to show protection information mode
- Update to new upstream release 0.26
  * add a "fcoe" transport indicator
  * add a "--wwn" option and datamine /dev/disk/by-id/wwn*
- Update to new upstream release 0.27
  * Accept large (64-bit) LUNs
  * add a "--lunhex" option and recognition of LSSCSI_LUNHEX_OPT
  environment variable for displaying LUNs in hex
- Normalized build/install procedure;
  remove redundant %%clean section
* Tue Apr 16 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Mon Dec  7 2009 jdelvare@suse.de
- Update to lsscsi-0.23:
  * Show protection information with '--protection' option, ATA,
    SATA and USB transport information.
  * Stop scanning /proc/mounts; assume /sys unless overridden by
    '--sysfsroot=PATH' option.
- This update fixes bnc#556180.
* Fri Oct 31 2008 hare@suse.de
- Update sysfs patch to match latest sysfs changes (bnc#434823)
* Tue Aug 12 2008 garloff@suse.de
- Update to lsscsi-0.21:
  SysFS scanning changes imposed by kernel 2.6.25/26.
* Fri May 23 2008 hare@suse.de
- using 'Provides' to clean update dependency.
* Thu Apr 24 2008 hare@suse.de
- Split off from original scsi package.
